--
-- PostgreSQL database dump
--

\connect - postgres

--
-- TOC entry 1 (OID 0)
-- Name: sessions; Type: DATABASE; Schema: -; Owner: postgres
--

CREATE DATABASE sessions WITH TEMPLATE = template0 ENCODING = 0;


\connect sessions postgres

SET search_path = public, pg_catalog;

--
-- TOC entry 2 (OID 16989)
-- Name: tmp_images; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE tmp_images (
    id serial NOT NULL,
    link text,
    mod text,
    crop text,
    grp text,
    rotate boolean,
    ignore boolean,
    last_accessed text,
    complete boolean
);


--
-- TOC entry 3 (OID 16995)
-- Name: php_sessions; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE php_sessions (
    session_id character(40) NOT NULL,
    last_active integer NOT NULL,
    data text
);


--
-- TOC entry 4 (OID 17000)
-- Name: php_sessions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY php_sessions
    ADD CONSTRAINT php_sessions_pkey PRIMARY KEY (session_id);


